This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 118461 - /etc/rc.d/init.d/dhcpd: Missing dhcpd.leases causes the script to exit silently
/etc/rc.d/init.d/dhcpd: Missing dhcpd.leases causes the script to exit silently
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-16 15:55 EST by Pavel Tsekov
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 10:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Tsekov 2004-03-16 15:55:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
If for some reason /var/lib/dhcp/dhcpd.leases is missing
'service dhcpd start' exits silently.


Version-Release number of selected component (if applicable):
RH9: dhcp-3.0pl1-23, FC1: dhcp-3.0pl2-6.16

How reproducible:
Always

Steps to Reproduce:
1. service dhcpd stop
2. rm /var/lib/dhcp/dhcpd.leases 
3. service dhcpd start

    

Actual Results:  The script exits.

Expected Results:  If the script detects 
that /var/lib/dhcp/dhcpd.leases is missing
it should create it:

  touch /var/lib/dhcp/dhcpd.leases


Additional info:
Comment 1 Daniel Walsh 2004-03-25 00:27:25 EST
Added your fix to dhcp-3_0_1rc12-3  Should be in rawhide shortly.
Comment 2 Pavel Tsekov 2004-04-22 08:00:54 EDT
Seems to work fine. Thanks!
Comment 3 John Flanagan 2004-12-21 14:42:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.